Version 4.0.26.22 (latest)

### Permanently Delete a Look

This operation **permanently** removes a look from the Looker database.

NOTE: There is no "undo" for this kind of delete.

For information about soft-delete (which can be undone) see [update_look()](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/methods/Look/update_look).

## Request

DELETE /looks/{look_id} Datatype Description Request HTTP Request path HTTP Path Expand HTTP Path definition... look_id string Id of look

## Response

### 204: Successfully deleted.

Datatype Description (string) string

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

## Examples

### Python


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/cloud-function-content-cleanup-automation/main.py](https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/cloud-function-content-cleanup-automation/main.py#L268 "https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/cloud-function-content-cleanup-automation/main.py") |

### Ruby


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/examples/ruby/delete_unused_content.rb](https://github.com/looker-open-source/sdk-codegen/blob/main/examples/ruby/delete_unused_content.rb#L18 "https://github.com/looker-open-source/sdk-codegen/blob/main/examples/ruby/delete_unused_content.rb") |